oasis.names.tc.saml._2_0.protocol

## Class AssertionIDRequest

- java.lang.Object
- - oasis.names.tc.saml._2_0.protocol.RequestAbstractType
  - - oasis.names.tc.saml._2_0.protocol.AssertionIDRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T10:48:06+02:00",
                 comments="JAXB RI v2.3.7")
      public class AssertionIDRequest
      extends RequestAbstractType
      implements Serializable

  Java class for AssertionIDRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AssertionIDRequestType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:2.0:protocol}RequestAbstractType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AssertionIDRef" maxOccurs="unbounded"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssertionIDRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getAssertionIDReves()` Gets the value of the assertionIDReves property.

    - ### Methods inherited from class oasis.names.tc.saml._2_0.protocol.RequestAbstractType

      `getConsent, getDestination, getExtensions, getID, getIssueInstant, getIssuer, getSignature, getVersion, setConsent, setDestination, setExtensions, setID, setIssueInstant, setIssuer, setSignature, setVersion`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssertionIDRequest

          public AssertionIDRequest()

  - ### Method Detail

    - #### getAssertionIDReves

          public List<String> getAssertionIDReves()

      Gets the value of the assertionIDReves property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the assertionIDReves property.

      For example, to add a new item, do as follows:

              getAssertionIDReves().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

Connector Packaging OTMOBILITYIMPROVEMENT 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.